
Katello - Bug #5949

deleting org in UI does not delete corresponding lifecycle environments causing rake katello:reindex

to fail

05/27/2014 04:35 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1101642 Red Hat JIRA:  

Pull request:    

Description

After deleting ACME_Corporation from my server through the UI, apparently successfully, a later call to 'rake katello:reindex' failed.

Looking at the psql database I see there was still a Library environment in katello_environments table for ACME.

Unclear if other org-dependent objects are also orphaned.

Related issues:

Related to Katello - Feature #6180: Implement org destroy Closed 06/12/2014

History

#1 - 05/27/2014 04:36 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1101642

#2 - 06/05/2014 02:55 AM - Eric Helms

- Triaged changed from No to Yes

- Target version set to 45

#3 - 06/05/2014 12:17 PM - David Davis

- Status changed from New to Assigned

- Assignee set to David Davis

#4 - 06/06/2014 05:44 PM - David Davis

Found the problem. The good news is that other records like product are not getting orphaned. I have not looked at all records but at least there are

some that aren't getting orphaned.

The bad news is that the organization destroy code (https://github.com/Katello/katello/blob/master/app/models/katello/organization_destroyer.rb) was

never reimplemented for the engine. That's probably going to have to be implemented at some point (hopefully with dynflow). I may have to

implement that here.

#5 - 06/12/2014 12:30 PM - Eric Helms

- Related to Feature #6180: Implement org destroy added

#6 - 06/12/2014 12:32 PM - David Davis

- Status changed from Assigned to New

#7 - 06/16/2014 02:53 PM - Eric Helms

- Target version deleted (45)

#8 - 07/17/2014 03:28 PM - David Davis

- Status changed from New to Closed
https://github.com/Katello/katello/blob/master/app/models/katello/organization_destroyer.rb


#9 - 07/17/2014 03:38 PM - David Davis

This was solved as part of #6180.

#10 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
